# Uses of Class
com.databend.jdbc.DatabendColumnInfo

Packages that use DatabendColumnInfo
Package
Description
com.databend.jdbc

## Uses of DatabendColumnInfo in com.databend.jdbc

Fields in com.databend.jdbc with type parameters of type DatabendColumnInfo
Modifier and Type
Field
Description
`protected final List<DatabendColumnInfo>`
DatabendParameterMetaData.`params`
Methods in com.databend.jdbc that return DatabendColumnInfo
Modifier and Type
Method
Description
`DatabendColumnInfo`
DatabendColumnInfo.Builder.`build()`
`protected DatabendColumnInfo`
DatabendParameterMetaData.`getParameter(int param)`
`static DatabendColumnInfo`
DatabendColumnInfo.`of(String name, com.databend.client.data.DatabendRawType type)`
Methods in com.databend.jdbc with parameters of type DatabendColumnInfo
Modifier and Type
Method
Description
`int`
JdbcTypeMapping.`toSqlType(DatabendColumnInfo column)`
Converts `DatabendColumnInfo` to generic SQL type defined in JDBC.
Constructor parameters in com.databend.jdbc with type arguments of type DatabendColumnInfo
Modifier
Constructor
Description
`protected`
`DatabendParameterMetaData(List<DatabendColumnInfo> params, JdbcTypeMapping mapper)`